Get deployments costs for the organization. Currently unavailable in self-hosted ECE.
- GET /billing/costs/{organization_id}/deployments
Retrieves the costs associated with all deployments for the organization.
Path Parameters
-
organization_idstringrequired -
Identifier for the organization
Responses
The costs associated to a set of products
-
total_costnumberrequired -
Total cost for all deployments
-
deploymentsDeploymentCostsrequired -
Costs of the list of deployments
-
deployment_idstringrequired -
Elasticsearch deployment id
-
deployment_namestringrequired -
Elasticsearch deployment name
-
costsCostsrequired -
Costs overview for an organization. All of the costs, credits, trials are expressed in Elastic Consumption Unit (ECU).
-
totalnumberrequired -
Total costs
-
dimensionsDimensionrequired -
A collection of billing details by dimension.
-
hourly_ratenumberrequired -
Price per hour
Invalid date range specified. (code: costs.invalid_date_range)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The current user does not have access to the requested organization. (code: organization.invalid_access)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Organization not found. (code: organization.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
An error occurred when fetching the costs associated with all deployments for the organization. (code: billing_service.failed_request)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response